Gentoo Archives: gentoo-user-de

From: "Jörg Bornkessel" <ml@××××××××.de>
To: gentoo-user-de@l.g.o
Subject: [gentoo-user-de] Hilfe bei script
Date: Tue, 30 Nov 2004 07:22:26
Message-Id: 1086739547.20041130082218@websitec.de
Guten Morgen, liebe Gemeinde,

habe folgendes Problem
Abfrage zur Programmversion
Annahme, ich haette 1 von 10 Programmversionen auf meiene system
installiert.
Bei install von prog 3-6 soll code 1 ausgefuegrte werden.
Bei install von prog groesser 7 soll code 2 augefuert werden.
bei install von von kleiner 3 soll nichts ausgefuehrt werden.
Im moment sieht es so mein code so aus // nur Codeschnippsel

<schnipp>
if [ grep <= "3" && >= "6" ]
then
.... Code 1
elif [ grep <= "7" ]
.... Code 2
fi
</schnapp>

code 2 wird bei groesseren/gleich version 7  ausgefuehrt.
ich bei mir die zaehne an der Zeile fuer den prog 3-6 aus, ist das
denn so richtig? Bei Versionen kleiner 7 passiert garnichts. :-(
Syntaxfehler?, Denkfehler?, Unwissenheit?


-- 
Gruss Joerg






--
gentoo-user-de@g.o mailing list

Replies

Subject Author
Re: [gentoo-user-de] Hilfe bei script Dirk Heinrichs <ext-dirk.heinrichs@×××××.com>
Re: [gentoo-user-de] Hilfe bei script Bernd Wurst <bernd@××××××.org>